summaryrefslogtreecommitdiff
path: root/system/glib/glib.trigger
diff options
context:
space:
mode:
Diffstat (limited to 'system/glib/glib.trigger')
-rw-r--r--system/glib/glib.trigger16
1 files changed, 16 insertions, 0 deletions
diff --git a/system/glib/glib.trigger b/system/glib/glib.trigger
new file mode 100644
index 000000000..cf23eff7d
--- /dev/null
+++ b/system/glib/glib.trigger
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+for i in "$@"; do
+ if ! [ -e "$i" ]; then
+ continue
+ fi
+ case "$i" in
+ */modules)
+ /usr/bin/gio-querymodules "$i"
+ ;;
+ */schemas)
+ /usr/bin/glib-compile-schemas "$i"
+ ;;
+ esac
+done
+